/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef MHChartSettings_h
#define MHChartSettings_h

#include "MHDate.h"



/**
*  Settings that affect the chart.
*/
class MHChartSettings {
public:
    int                     aXLabels;
    int                     aYLabels;
    int                     aHLines;
    int                     aVLines;
    int                     aShowAll;
    int                     aChartLeft;
    int                     aChartRight;
    int                     aLineType;
    int                     aXWidth;
    MHDate::DAYS            aTimeType;
    
                            MHChartSettings () {
                                Clear ();
                            }



    void                    Clear () {
                                aXLabels = aYLabels = aHLines = aVLines = aShowAll = aChartLeft = aChartRight = aLineType = aXWidth = 0;
                                aTimeType = MHDate::ALL;
                            }
};

#endif
