/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PortfolioChart_h
#define PortfolioChart_h

#include <chart/BaseChart.h>




/**
*  Object for creating price reports and charts
*/
class PortfolioChart : public BaseChart {
public:
    enum CHARTS {
                            NO_CHART  = 0,
                            PERFORMANCE,
                            VALUE,
                            RELATIVE_,
                            LAST_CHART,
    };

                            PortfolioChart (MHDC* dc, int view);

    virtual const char*     Class () {return "PortfolioChart";}
    void                    Create ();
    void                    Reload (const char* message);

private:
    void                    createPerformance ();
    void                    createRelative ();
    void                    createValue ();
};

#endif
